Bug 219353 - Review Request: perl-Geo-Inverse - Calculate geographic distance from a lat & lon pair
Review Request: perl-Geo-Inverse - Calculate geographic distance from a lat &...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-12 13:55 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-15 10:38:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-12-12 13:55:19 EST
Spec URL: 
ftp://perl.di.uminho.pt/pub/fedora/perl-Geo-Inverse.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Geo-Inverse-0.04-1.src.rpm

Description: 
Calculate geographic distance from a lat & lon pair

Note: the Geo::* modules are requirements of Net::GPSD
Comment 1 Parag AN(पराग) 2006-12-13 00:21:10 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
0f401e9878fcf69d3ad701b1b2103898  Geo-Inverse-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used
make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/base....ok
All tests successful.
Files=1, Tests=11,  0 wallclock secs ( 0.02 cusr +  0.01 csys =  0.03 CPU)

+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 2 Jose Pedro Oliveira 2006-12-15 10:38:27 EST
Thanks for the review.

Package imported and built for FC-5, FC-6, and devel.

Note You need to log in before you can comment on or make changes to this bug.